import 'package:flutter/material.dart';
import 'package:flutter_hooks/flutter_hooks.dart';

// 底部操作功能栏 开关
class UseSwithOperationBar {
  ValueNotifier<bool> operationBarSwitch;

  UseSwithOperationBar._({required this.operationBarSwitch});

  // 工厂构造函数
  factory UseSwithOperationBar.use({bool defaultFlag = true}) {
    return UseSwithOperationBar._(operationBarSwitch: useState(defaultFlag));
  }
}
